Subject: Re: bug#42543: lint failure for packages on load path specified with -L
From: Ludovic Courtès <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: [email-masked]
Date: Sun, 23 Aug 2020 23:10:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Jack Hill <[email-masked]> skribis:

>> Jack Hill <[email-masked]> skribis:
>>
>>> jackhill@alperton ~$ guix lint -L lint-test my-hello
>>> Backtrace:[email-masked] [formatting]...
>>>            8 (primitive-load "/home/jackhill/.config/guix/current/bi…")
>>> In guix/ui.scm:
>>>   1974:12  7 (run-guix-command _ . _)
>>> In ice-9/boot-9.scm:
>>>   1736:10  6 (with-exception-handler _ _ #:unwind? _ # _)
>>> In guix/store.scm:
>>>    631:22  5 (thunk)
>>> In srfi/srfi-1.scm:
>>>     634:9  4 (for-each #<procedure 7f40c0484020 at guix/scripts/lin…> …)
>>> In guix/scripts/lint.scm:
>>>      60:4  3 (run-checkers _ _ #:store _)
>>> In srfi/srfi-1.scm:
>>>     634:9  2 (for-each #<procedure 7f40b2ab53f0 at guix/scripts/lin…> …)
>>>     241:2  1 (for-each _ _)
>>> In ice-9/boot-9.scm:
>>>   1669:16  0 (raise-exception _ #:continuable? _)
>>>
>>> ice-9/boot-9.scm:1669:16: In procedure raise-exception:
>>> In procedure for-each: Wrong type argument: #f

[...]

> You've passed an absolute path to -L. Indeed, I don't don't see the
> problem when I do that, only when using a relative path. Can you try
> running `guix lint -L t my-hello` while your current working directory
> is /tmp?

Oops you’re right.  I’ve fixed the root issue with
d10474c38d58bdc676e64336769dc2e00cdfa8ed (avoiding ‘canonicalize-path’).

Thanks,
Ludo’.